
Figure - Bug #113740
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试60小时，出现ANR：com.example.android.locationattribution
2022-11-07 14:16 - CD Test赵飞

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date: 2022-11-14

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

Resolution: INVALID Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-08

Test Type: Monkey Test Root cause: 这个应用是UserDeug版本才搭载的，在User版本上不会有，不会影响到用户的使用。因此不做处理

Description

执行命令：

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 1080000 2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

// NOT RESPONDING: com.example.android.locationattribution (pid 7598)

ANR in com.example.android.locationattribution (com.example.android.locationattribution/.MainActivity)

PID: 7598

Reason: Input dispatching timed out (Application does not have a focused window)

Parent: com.example.android.locationattribution/.MainActivity

ErrorId: 77c95217-c856-47c9-b224-34e84ecf9909

Frozen: false

Load: 10.74 / 11.04 / 10.55

----- Output from /proc/pressure/memory -----

some avg10=0.00 avg60=0.00 avg300=0.00 total=6725977

full avg10=0.00 avg60=0.00 avg300=0.00 total=2881530

----- End output from /proc/pressure/memory -----

CPU usage from 0ms to 16915ms later (2022-11-05 00:01:17.989 to 2022-11-05 00:01:34.903):

  167% 24997/com.qualcomm.qti.usta: 163% user + 4.6% kernel / faults: 536 minor

  78% 1247/tlog: 1.5% user + 76% kernel / faults: 7 minor

  76% 1053/sensors.qti: 16% user + 60% kernel

  76% 7232/tlog: 4.1% user + 72% kernel / faults: 4 minor

  61% 1136/system_server: 17% user + 43% kernel / faults: 81074 minor

  35% 1039/surfaceflinger: 16% user + 19% kernel / faults: 2922 minor

  23% 960/vendor.qti.hardware.display.composer-service: 7.3% user + 15% kernel / faults: 673 minor

...
【日志】

Tlog和ANR日志见Bug #113491 附件

History

#1 - 2022-11-07 17:16 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to INVALID

- Degrated changed from -- to No

- Fixed Version set to 2022-11-08

- Root cause set to 这个应用是UserDeug版本才搭载的，在User版本上不会有，不会影响到用户的使用。因此不做处理

#2 - 2022-11-07 17:20 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

#3 - 2022-11-08 09:55 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

user版本上不存在该应用

关闭此问题

#4 - 2022-11-08 09:55 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
